releasing

Original commit message from CVS:
releasing
parent c1aac95e
=== gst-ffmpeg ===
2004-02-26 Thomas Vander Stichele <thomas at apestaart dot org>
* configure.ac: releasing 0.7.1 "True Colors"
2004-02-14 Thomas Vander Stichele <thomas at apestaart dot org>
* gst-ffmpeg.spec.in: fix spec file
......
SUBDIRS = gst-libs ext
EXTRA_DIST=gst-ffmpeg.spec
# to do a release, run "make release"
# this will generate all archives and md5sums
# make bz2 as well
AUTOMAKE_OPTIONS = dist-bzip2
release: dist
make @PACKAGE@-@VERSION@.tar.gz.md5
make @PACKAGE@-@VERSION@.tar.bz2.md5
# generate md5 sum files
%.md5: %
md5sum $< > $@
common @ 874dab5c
Subproject commit 19cb5127af898da4a72109547e9c31c4e14cc964
Subproject commit 874dab5c3461ad7487f1ae029256b6da82dddf6d
......@@ -12,10 +12,13 @@ AM_MAINTAINER_MODE
dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, cvs and prerelease does Werror too
AS_VERSION(gst-ffmpeg, GST_FFMPEG_VERSION, 0, 7, 0, 1, GST_CVS="no", GST_CVS="yes")
AS_VERSION(gst-ffmpeg, GST_FFMPEG_VERSION, 0, 7, 1, 0, GST_CVS="no", GST_CVS="yes")
dnl we cheat here so we don't have to change the actual configure code bit
GST_PLUGINS_VERSION_NANO=$GST_FFMPEG_VERSION_NANO
dnl required GStreamer version
GST_REQ=0.7.5
AM_INIT_AUTOMAKE($PACKAGE,$VERSION)
dnl our libraries and install dirs use major.minor as a version
......@@ -58,7 +61,7 @@ AC_HEADER_STDC([])
dnl check for gstreamer; uninstalled is selected preferentially -- see pkg-config(1)
PKG_CHECK_MODULES(GST, gstreamer-$GST_MAJORMINOR >= $GST_FFMPEG_VERSION_MAJOR.$GST_FFMPEG_VERSION_MINOR.$GST_FFMPEG_VERSION_MICRO,
PKG_CHECK_MODULES(GST, gstreamer-$GST_MAJORMINOR >= $GST_REQ,
HAVE_GST="yes", HAVE_GST="no")
if test "x$HAVE_GST" = "xno"; then
......
......@@ -13,9 +13,9 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%define majorminor @GST_MAJORMINOR@
Prereq: %{_bindir}/gst-register-%{majorminor}
Requires: gstreamer >= 0.7.4
Requires: gstreamer-tools >= 0.7.4
BuildRequires: gstreamer-devel >= 0.7.4
Requires: gstreamer >= 0.7.5
Requires: gstreamer-tools >= 0.7.5
BuildRequires: gstreamer-devel >= 0.7.5
%description
GStreamer is a streaming-media framework, based on graphs of filters which
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment